<?php
// BF4 Stats Page by Ty_ger07
// http://open-web-community.com/

// make an array of game modes
// left value is name as it will appear on stats page
$mode_array = array(
	'Team Deathmatch'			=>	'TeamDeathMatch0',
	'Domination'				=>	'Domination0',
	'Defuse'					=>	'Elimination0',
	'Obliteration'				=>	'Obliteration',
	'Tank Superiority'			=>	'TankSuperiority0',
	'Rush'						=>	'RushLarge0',
	'Conquest Large'			=>	'ConquestLarge0',
	'Conquest Small'			=>	'ConquestSmall0',
	'Squad Deathmatch'			=>	'SquadDeathMatch0',
	// china rising
	'Air Superiority'			=>	'AirSuperiority0',
	// second assault
	'Capture The Flag'			=>	'CaptureTheFlag0',
	// naval strike
	'Carrier Assault Large'		=>	'CarrierAssaultLarge0',
	'Carrier Assault Small'		=>	'CarrierAssaultSmall0',
	// dragons teeth
	'Chain Link'				=>	'Chainlink0'
	// note comma at the end of each line except for the last line
);

// make an array of map names
// left value is name as it will appear on stats page
$map_array = array(
	'Zavod 311'					=>	'MP_Abandoned',
	'Lancang Dam'				=>	'MP_Damage',
	'Flood Zone'				=>	'MP_Flooded',
	'Golmud Railway'			=>	'MP_Journey',
	'Paracel Storm'				=>	'MP_Naval',
	'Operation Locker'			=>	'MP_Prison',
	'Hainan Resort'				=>	'MP_Resort',
	'Siege of Shanghai'			=>	'MP_Siege',
	'Rogue Transmission'		=>	'MP_TheDish',
	'Dawnbreaker'				=>	'MP_Tremors',
	// china rising
	'Silk Road'					=>	'XP1_001',
	'Altai Range'				=>	'XP1_002',
	'Guilin Peaks'				=>	'XP1_003',
	'Dragon Pass'				=>	'XP1_004',
	// second assault
	'Caspian Border'			=>	'XP0_Caspian',
	'Firestorm'					=>	'XP0_Firestorm',
	'Operation Metro'			=>	'XP0_Metro',
	'Gulf Of Oman'				=>	'XP0_Oman',
	// naval strike
	'Lost Islands'				=>	'XP2_001',
	'Nansha Strike'				=>	'XP2_002',
	'Wave Breaker'				=>	'XP2_003',
	'Operation Mortar'			=>	'XP2_004',
	// dragons teeth
	'Pearl Market'				=>	'XP3_MarketPl',
	'Propaganda'				=>	'XP3_Prpganda',
	'Lumphini Garden'			=>	'XP3_UrbanGdn',
	'Sunken Dragon'				=>	'XP3_WtrFront',
	// final stand
	'Giants of Karelia'			=>	'XP4_WlkrFtry',
	'Hammerhead'				=>	'XP4_SubBase',
	'Hangar 21'					=>	'XP4_Titan',
	'Operation Whiteout'		=>	'XP4_Arctic',

	// New Maps
	'Zavod: Graveyard'			=>	'XP5_Night_01',
	'Dragon Valley'				=>	'XP7_Valley',
	'Operation Outbreak'		=>	'XP6_CMP'
	// note comma at the end of each line except for the last line
);

// make an array of weapon names
// the left value is the name which will be displayed on the stats page
// the image filename in /images/weapons/ must match the right value for each weapon (otherwise the image will appear broken)
$weapon_array = array(
	'870'						=>	'870',
	'A-91'						=>	'A91',
	'ACR'						=>	'ACR',
	'AEK-971'					=>	'AEK971',
	'AEK-971 M26 Buck'			=>	'AEK971_M26_Buck',
	'AEK-971 M26 Flechette'		=>	'AEK971_M26_Flechette',
	'AEK-971 M26 Frag'			=>	'AEK971_M26_Frag',
	'AEK-971 M26 Slug'			=>	'AEK971_M26_Slug',
	'AEK-971 M320 Flash'		=>	'AEK971_M320_FLASH',
	'AEK-971 M320 HE'			=>	'AEK971_M320_HE',
	'AEK-971 M320 LVG'			=>	'AEK971_M320_LVG',
	'AEK-971 M320 SHG'			=>	'AEK971_M320_SHG',
	'AEK-971 M320 Smoke'		=>	'AEK971_M320_SMK',
	'AK-12'						=>	'AK12',
	'AK-12 M26 Buck'			=>	'AK12_M26_Buck',
	'AK-12 M26 Flechette'		=>	'AK12_M26_Flechette',
	'AK-12 M26 Frag'			=>	'AK12_M26_Frag',
	'AK-12 M26 Slug'			=>	'AK12_M26_Slug',
	'AK-12 M320 Flash'			=>	'AK12_M320_FLASH',
	'AK-12 M320 HE'				=>	'AK12_M320_HE',
	'AK-12 M320 LVG'			=>	'AK12_M320_LVG',
	'AK-12 M320 SHG'			=>	'AK12_M320_SHG',
	'AK-12 M320 Smoke'			=>	'AK12_M320_SMK',
	'AK5C'						=>	'AK5C',
	'AKU-12'					=>	'AKU12',
	'AMR-2'						=>	'AMR2',
	'AMR-2 CQB'					=>	'AMR2_CQB',
	'AMR-2 MED'					=>	'AMR2_MED',
	'AT4'						=>	'AT4',
	'C-4'						=>	'C4',
	'C-4 Support'				=>	'C4_Support',
	'CBJ-MS'					=>	'CBJ-MS',
	'M18 Claymore'				=>	'Claymore',
	'M18 Claymore Recon'		=>	'Claymore_Recon',
	'CS-LR4'					=>	'CS-LR4',
	'CZ 75'						=>	'CZ75',
	'CZ 805'					=>	'CZ805',
	'CZ 805 M26 Buck'			=>	'CZ805_M26_Buck',
	'CZ 805 M26 Flechette'		=>	'CZ805_M26_Flechette',
	'CZ 805 M26 Frag'			=>	'CZ805_M26_Frag',
	'CZ 805 M26 Slug'			=>	'CZ805_M26_Slug',
	'CZ 805 M320 Flash'			=>	'CZ805_M320_FLASH',
	'CZ 805 M320 HE'			=>	'CZ805_M320_HE',
	'CZ 805 M320 LVG'			=>	'CZ805_M320_LVG',
	'CZ 805 M320 SHG'			=>	'CZ805_M320_SHG',
	'CZ 805 M320 Smoke'			=>	'CZ805_M320_SMK',
	'DBV-12'					=>	'DBV12',
	'Machinery'					=>	'Death',
	'Defibrillator'				=>	'Defib',
	'FAMAS'						=>	'FAMAS',
	'FGM-148'					=>	'FGM148',
	'FIM-92'					=>	'FIM92',
	'Flashbang'					=>	'Flashbang',
	'FN 57'						=>	'FN57',
	'FY-JS'						=>	'FY-JS',
	'G36C'						=>	'G36C',
	'Galil ACE'					=>	'GalilACE',
	'Galil ACE 23'				=>	'GalilACE23',
	'Galil ACE 52'				=>	'GalilACE52',
	'Galil ACE 53'				=>	'GalilACE53',
	'Glock 18'					=>	'Glock18',
	'Grenade RGO'				=>	'Grenade_RGO',
	'Hawk'						=>	'HAWK',
	'HK45C'						=>	'HK45C',
	'JNG-90'					=>	'JNG90',
	'JS2'						=>	'JS2',
	'LSAT'						=>	'LSAT',
	'M1014'						=>	'M1014',
	'M15'						=>	'M15',
	'M16A4'						=>	'M16A4',
	'M16A4 M26 Buck'			=>	'M16A4_M26_Buck',
	'M16A4 M26 Flechette'		=>	'M16A4_M26_Flechette',
	'M16A4 M26 Frag'			=>	'M16A4_M26_Frag',
	'M16A4 M26 Slug'			=>	'M16A4_M26_Slug',
	'M16A4 M320 Flash'			=>	'M16A4_M320_FLASH',
	'M16A4 M320 HE'				=>	'M16A4_M320_HE',
	'M16A4 M320 LVG'			=>	'M16A4_M320_LVG',
	'M16A4 M320 SHG'			=>	'M16A4_M320_SHG',
	'M16A4 M320 Smoke'			=>	'M16A4_M320_SMK',
	'M1911'						=>	'M1911',
	'M200'						=>	'M200',
	'M224'						=>	'M224',
	'M240'						=>	'M240',
	'M249'						=>	'M249',
	'M26 MASS'					=>	'M26Mass',
	'M26 MASS Flechette'		=>	'M26Mass_Flechette',
	'M26 MASS Frag'				=>	'M26Mass_Frag',
	'M26 MASS Slug'				=>	'M26Mass_Slug',
	'M320 Flash'				=>	'M320_FLASH',
	'M320 HE'					=>	'M320_HE',
	'M320 LVG'					=>	'M320_LVG',
	'M320 SHG'					=>	'M320_SHG',
	'M320 Smoke'				=>	'M320_SMK',
	'M34 Grenade'				=>	'M34',
	'M39 EBR'					=>	'M39EBR',
	'M40A5'						=>	'M40A5',
	'M416'						=>	'M416',
	'M416 M26 Buck'				=>	'M416_M26_Buck',
	'M416 M26 Flechette'		=>	'M416_M26_Flechette',
	'M416 M26 Frag'				=>	'M416_M26_Frag',
	'M416 M26 Slug'				=>	'M416_M26_Slug',
	'M416 M320 Flash'			=>	'M416_M320_FLASH',
	'M416 M320 HE'				=>	'M416_M320_HE',
	'M416 M320 LVG'				=>	'M416_M320_LVG',
	'M416 M320 SHG'				=>	'M416_M320_SHG',
	'M416 M320 Smoke'			=>	'M416_M320_SMK',
	'M4A1'						=>	'M4A1',
	'M67 Grenade'				=>	'M67',
	'M82A3'						=>	'M82A3',
	'M82A3 CQB'					=>	'M82A3_CQB',
	'M82A3 MED'					=>	'M82A3_MED',
	'M82A3 SP'					=>	'M82A3_SP',
	'M9'						=>	'M9',
	'M93R'						=>	'M93R',
	'M98B'						=>	'M98B',
	'Machinery'					=>	'Machinery',
	'Magpul PDR'				=>	'MagpulPDR',
	'Medkit'					=>	'Medkit',
	'Melee'						=>	'Melee',
	'MG4'						=>	'MG4',
	'MGL'						=>	'MGL',
	'Missing'					=>	'missing',
	'MK11'						=>	'MK11',
	'MP412 REX'					=>	'MP412Rex',
	'MP-443'					=>	'MP443',
	'MX4'						=>	'MX4',
	'NLAW'						=>	'NLAW',
	'P226'						=>	'P226',
	'P90'						=>	'P90',
	'Pecheneg'					=>	'Pecheneg',
	'Portable Medkit'			=>	'PortableMedicpack',
	'PP-2000'					=>	'PP2000',
	'QBB-95'					=>	'QBB95',
	'QBS-09'					=>	'QBS09',
	'QBU-88'					=>	'QBU88',
	'QBZ-95-1'					=>	'QBZ951',
	'QBZ-95-1 M26 Buck'			=>	'QBZ951_M26_Buck',
	'QBZ-95-1 M26 Flechette'	=>	'QBZ951_M26_Flechette',
	'QBZ-95-1 M26 Frag'			=>	'QBZ951_M26_Frag',
	'QBZ-95-1 M26 Slug'			=>	'QBZ951_M26_Slug',
	'QBZ-95-1 M320 Flash'		=>	'QBZ951_M320_FLASH',
	'QBZ-95-1 M320 HE'			=>	'QBZ951_M320_HE',
	'QBZ-95-1 M320 LVG'			=>	'QBZ951_M320_LVG',
	'QBZ-95-1 M320 SHG'			=>	'QBZ951_M320_SHG',
	'QBZ-95-1 M320 Smoke'		=>	'QBZ951_M320_SMK',
	'QSZ-92'					=>	'QSZ92',
	'Repair Tool'				=>	'Repairtool',
	'RFB'						=>	'RFB',
	'Road-kill'					=>	'RoadKill',
	'RPG-7'						=>	'RPG7',
	'RPK-12'					=>	'RPK12',
	'SA-18 IGLA'				=>	'Sa18IGLA',
	'Saiga 20K'					=>	'SAIGA_20K',
	'SAR-21'					=>	'SAR21',
	'SAR-21 M26 Buck'			=>	'SAR21_M26_Buck',
	'SAR-21 M26 Flechette'		=>	'SAR21_M26_Flechette',
	'SAR-21 M26 Frag'			=>	'SAR21_M26_Frag',
	'SAR-21 M26 Slug'			=>	'SAR21_M26_Slug',
	'SAR-21 M320 Flash'			=>	'SAR21_M320_FLASH',
	'SAR-21 M320 HE'			=>	'SAR21_M320_HE',
	'SAR-21 M320 LVG'			=>	'SAR21_M320_LVG',
	'SAR-21 M320 SHG'			=>	'SAR21_M320_SHG',
	'SAR-21 M320 Smoke'			=>	'SAR21_M320_SMK',
	'SCAR-H'					=>	'SCAR-H',
	'SCAR-H M26 Buck'			=>	'SCAR-H_M26_Buck',
	'SCAR-H M26 Flechette'		=>	'SCAR-H_M26_Flechette',
	'SCAR-H M26 Frag'			=>	'SCAR-H_M26_Frag',
	'SCAR-H M26 Slug'			=>	'SCAR-H_M26_Slug',
	'SCAR-H M320 Flash'			=>	'SCAR-H_M320_FLASH',
	'SCAR-H M320 HE'			=>	'SCAR-H_M320_HE',
	'SCAR-H M320 LVG'			=>	'SCAR-H_M320_LVG',
	'SCAR-H M320 SHG'			=>	'SCAR-H_M320_SHG',
	'SCAR-H M320 Smoke'			=>	'SCAR-H_M320_SMK',
	'SCAR-H SV'					=>	'SCAR-HSV',
	'Scorpion'					=>	'Scorpion',
	'Scout'						=>	'Scout',
	'Serbu Super Shorty'		=>	'SerbuShorty',
	'SG 553 LB'					=>	'SG553LB',
	'SLAM'						=>	'SLAM',
	'SKS'						=>	'SKS',
	'SMAW'						=>	'SMAW',
	'SPAS-12'					=>	'SPAS12',
	'SRAW'						=>	'SRAW',
	'SRS'						=>	'SRS',
	'Starstreak SAM'			=>	'Starstreak',
	'Steyr AUG'					=>	'SteyrAug',
	'Steyr AUG M26 Buck'		=>	'SteyrAug_M26_Buck',
	'Steyr AUG M26 Flechette'	=>	'SteyrAug_M26_Flechette',
	'Steyr AUG M26 Frag'		=>	'SteyrAug_M26_Frag',
	'Steyr AUG M26 Slug'		=>	'SteyrAug_M26_Slug',
	'Steyr AUG M320 Flash'		=>	'SteyrAug_M320_FLASH',
	'Steyr AUG M320 HE'			=>	'SteyrAug_M320_HE',
	'Steyr AUG M320 LVG'		=>	'SteyrAug_M320_LVG',
	'Steyr AUG M320 SHG'		=>	'SteyrAug_M320_SHG',
	'Steyr AUG M320 Smoke'		=>	'SteyrAug_M320_SMK',
	'SV-98'						=>	'SV98',
	'SVD-12'					=>	'SVD12',
	'Taurus .44 Magnum'			=>	'Taurus44',
	'Tomahawk'					=>	'Tomahawk',
	'Type 88'					=>	'Type88',
	'Type-95B-1'				=>	'Type95B',
	'Ultimax 100'				=>	'Ultimax',
	'UMP45'						=>	'UMP45',
	'UMP-9'						=>	'UMP9',
	'USAS-12'					=>	'USAS-12',
	'USAS-12 Nightvision'		=>	'USAS-12_Nightvision',
	'UTAS UTS-15'				=>	'UTAS',
	'V40 Grenade'				=>	'V40',
	'XM25'						=>	'XM25',
	'XM25 Flechette'			=>	'XM25_Flechette',
	'XM25 Smoke'				=>	'XM25_Smoke',
	// china rising
	'L85A2'						=>	'L85A2',
	'L85A2 M26 Buck'			=>	'L85A2_M26_Buck',
	'L85A2 M26 Flechette'		=>	'L85A2_M26_Flechette',
	'L85A2 M26 Frag'			=>	'L85A2_M26_Frag',
	'L85A2 M26 Slug'			=>	'L85A2_M26_Slug',
	'L85A2 M320 Grenade V2'		=>	'L85A2_M320_3GL_V2',
	'L85A2 M320 Flash'			=>	'L85A2_M320_FLASH',
	'L85A2 M320 Flash V2'		=>	'L85A2_M320_FLASH_V2',
	'L85A2 M320 HE'				=>	'L85A2_M320_HE',
	'L85A2 M320 HE V2'			=>	'L85A2_M320_HE_V2',
	'L85A2 M320 LVG'			=>	'L85A2_M320_LVG',
	'L85A2 M320 LVG V2'			=>	'L85A2_M320_LVG_V2',
	'L85A2 M320 SHG'			=>	'L85A2_M320_SHG',
	'L85A2 M320 SHG V2'			=>	'L85A2_M320_SHG_V2',
	'L85A2 M320 Smoke'			=>	'L85A2_M320_SMK',
	'L85A2 M320 Smoke V2'		=>	'L85A2_M320_SMK_V2',
	'L96A1'						=>	'L96A1',
	'MTAR-21'					=>	'MTAR21',
	'MP7'						=>	'MP7',
	'SUAV'						=>	'SUAV',
	'RPK-74'					=>	'RPK-74',
	// second assault
	'AS Val'					=>	'ASVAL',
	'F2000'						=>	'F2000',
	'DAO-12'					=>	'DAO12',
	'GOL Sniper Magnum'			=>	'GOL',
	'M60E4'						=>	'M60E4',
	// naval strike
	'AA Mine'					=>	'AA_Mine',
	'AEK-971 M320 3GL'			=>	'AEK971_M320_3GL',
	'AK-12 M320 3GL'			=>	'AK12_M320_3GL',
	'AR-160'					=>	'AR160',
	'AR-160 M320 3GL'			=>	'AR160_M320_3GL',
	'AR-160 M320 Flash'			=>	'AR160_M320_FLASH',
	'AR-160 M320 HE'			=>	'AR160_M320_HE',
	'AR-160 M320 LVG'			=>	'AR160_M320_LVG',
	'AR-160 M320 SHG'			=>	'AR160_M320_SHG',
	'AR-160 M320 Smoke'			=>	'AR160_M320_SMK',
	'AWS'						=>	'AWS',
	'Ballistic Shield'			=>	'BallisticShield',
	'CZ 805 M320 3GL'			=>	'CZ805_M320_3GL',
	'L85A2 M320 3GL'			=>	'L85A2_M320_3GL',
	'M16A4 M320 3GL'			=>	'M16A4_M320_3GL',
	'M320 3GL'					=>	'M320_3GL',
	'M416 M320 3GL'				=>	'M416_M320_3GL',
	'QBZ-95-1 M320 3GL'			=>	'QBZ951_M320_3GL',
	'SAR-21 M320 3GL'			=>	'SAR21_M320_3GL',
	'SCAR-H M320 3GL'			=>	'SCAR-H_M320_3GL',
	'SR-2'						=>	'SR2',
	'SR338'						=>	'SR338',
	'Steyr AUG M320 3GL'		=>	'SteyrAug_M320_3GL',
	'SW40'						=>	'SW40',
	'UCAV'						=>	'UCAV',
	//	dragons teeth
	'Desert Eagle'				=>	'DesertEagle',
	'Unica 6'					=>	'Unica6',
	'CS5'						=>	'CS5',
	'MPX'						=>	'MPX',
	'Bulldog'					=>	'Bulldog',
	// final stand
	'Phantom Bow'				=>	'dlSHTR',
	'Rorsch Mk-1'				=>	'Railgun',
	'XD-1 Accipiter'			=>	'XP4',
	// vehicle
	'DPV'						=>	'DPV',
	'Not Specified'				=>	'Death',
	'EOD Bot'					=>	'EODBot',
	'Levolution'				=>	'Gameplay',
	'Z-11w CH'					=>	'Gameplay/Vehicles/Z11W/spec/Z-11w_CH',
	'Z-11w'						=>	'Gameplay/Vehicles/Z11W/Z-11w',
	'Q-5 FANTAN'				=>	'Gameplay/Vehicles/CH_JET_Qiang-5-fantan/CH_JET_Q5_FANTAN',
	'GlobalHawk UAV'			=>	'Gameplay/Vehicles/UAV_GlobalHawk/UAV_GlobalHawk',
	'T-50'						=>	'Gameplay/Vehicles/RU_FJET_T-50_Pak_FA/RU_FJET_T-50_Pak_FA',
	'SU-25'						=>	'Gameplay/Vehicles/SU-25TM/SU-25TM',
	'Mi-28 Havok'				=>	'Gameplay/Vehicles/Mi28/Mi28',
	'H6K'						=>	'XP1/Gameplay/Vehicles/H6K/H6K',
	'A-10 Thunderbolt'			=>	'Gameplay/Vehicles/A-10_THUNDERBOLT/A10_THUNDERBOLT',
	'AC-130 Gunship'			=>	'Gameplay/Vehicles/AC130/AC130_Gunship',
	'AH-1Z'						=>	'Gameplay/Vehicles/AH1Z/AH1Z',
	'AH-6 Littlebird'			=>	'Gameplay/Vehicles/AH6/AH6_Littlebird',
	'B-1 Lancer'				=>	'XP1/Gameplay/Vehicles/B1Lancer/B1Lancer',
	'F-35B'						=>	'Gameplay/Vehicles/F35/F35B',
	'J-20'						=>	'Gameplay/Vehicles/Ch_FJET_J-20/CH_FJET_J-20',
	'Type 99 MBT'				=>	'Gameplay/Vehicles/CH_MBT_Type99/CH_MBT_Type99',
	'M1 Abrams'					=>	'Gameplay/Vehicles/M1A2/M1Abrams',
	'BTR-90'					=>	'Gameplay/Vehicles/BTR-90/BTR90',
	'HIMARS'					=>	'Gameplay/Vehicles/HIMARS/HIMARS',
	'IFV ZBD-09'				=>	'Gameplay/Vehicles/CH_IFV_ZBD09/CH_IFV_ZBD09',
	'LAV-25'					=>	'Gameplay/Vehicles/LAV25/LAV25',
	'Old Cannon'				=>	'XP2/Gameplay/Vehicles/OldCannon/OldCannon',
	'Pantsir S1'				=>	'Gameplay/Vehicles/Pantsir/Pantsir-S1',
	'9K22 Tunguska'				=>	'Gameplay/Vehicles/9K22_Tunguska_M/9K22_Tunguska_M',
	'PGZ-95 AA'					=>	'Gameplay/Vehicles/CH_AA_PGZ-95/CH_AA_PGZ-95',
	'LAV-AD'					=>	'Gameplay/Vehicles/LAV25/LAV_AD',
	'KLR650'					=>	'XP1/Gameplay/Vehicles/KLR650/KLR650',
	'Quad Bike'					=>	'Gameplay/Vehicles/QuadBike/QUADBIKE',
	'TOW 2'						=>	'Gameplay/Vehicles/TOW2/TOW2',
	'LD-2000 CIWS'				=>	'Gameplay/Vehicles/CH_CIWS-LD-2000/CH_CIWS-LD-2000',
	'Centurion C-RAM N'			=>	'Gameplay/Vehicles/Centurion_C-RAM/Centurion_C-RAM_MP_Naval',
	'Centurion C-RAM'			=>	'Gameplay/Vehicles/Centurion_C-RAM/Centurion_C-RAM',
	'ATGM HJ-8'					=>	'Gameplay/Vehicles/CH_ATGM_HJ-8/CH_ATGM_HJ-8',
	'GunShield Tripod'			=>	'Gameplay/Vehicles/GunShieldAndTripod/GunShieldTripod',
	'ZFB-05 MRAP'				=>	'Gameplay/Vehicles/CH_MRAP-ZFB-05/CH_MRAP-ZFB-05',
	'LYT2021'					=>	'Gameplay/Vehicles/CH_FAV_LYT2021/CH_FAV_LYT2021',
	'Harbin Z-9'				=>	'Gameplay/Vehicles/CH_LTHE_Z-9/CH_LTHE_Z-9',
	'Growler ITV'				=>	'Gameplay/Vehicles/GrowlerITV/GrowlerITV',
	'Hovercraft'				=>	'XP2/Gameplay/Vehicles/PatrolHovercraft/PatrolHovercraft',
	'SPM-3 MRAP'				=>	'Gameplay/Vehicles/RU_MRAP_SPM3/RU_MRAP_SPM3',
	'Skid Loader'				=>	'XP0/Gameplay/Vehicles/SkidLoader/SkidLoader',
	'COUGAR MRAP'				=>	'Gameplay/Vehicles/US_MRAP-COUGAR/US_MRAP-COUGAR',
	'Train'						=>	'Gameplay/Vehicles/Train_01/Train_01',
	'Venom'						=>	'Gameplay/Vehicles/Venom/Venom',
	'AAV-7A1 AMTRAC'			=>	'Gameplay/Vehicles/AAV-7A1/AAV-7A1',
	'DV-15'						=>	'Gameplay/Vehicles/CH_FAC_DV15/CH_FAC_DV15',
	'DV-15 RU'					=>	'Gameplay/Vehicles/CH_FAC_DV15/CH_FAC_DV15_RU',
	'DV-15 CH'					=>	'Gameplay/Vehicles/CH_FAC_DV15/spec/CH_FAC_DV15_RU',
	'CB 90'						=>	'Gameplay/Vehicles/US_FAC-CB90/US_FAC-CB90',
	'Kamov Ka-60'				=>	'Ka-60',
	'Kornet ATGM'				=>	'Kornet',
	'RHIB'						=>	'RHIB',
	'T-90'						=>	'T90',
	'VDV Buggy'					=>	'VDV_Buggy',
	'UCAV Launcher'				=>	'XP1',
	'RAWR'						=>	'XP3',
	'Z-10w'						=>	'Z-10w',
	// Final Stand Vehicles
	'Snowmobile'				=>	'XP4/Gameplay/Vehicles/Snowmobile/Snowmobile',
	'HT-95 Levkov'				=>	'XP4/Gameplay/Vehicles/HoverTank/XP4_HoverTank',
	'Shipunov 42'				=>	'XP4/Gameplay/Vehicles/MetalStorm/XP4_MetalStorm',
	'Pod Launcher'				=>	'XP4/Gameplay/Vehicles/PodLauncher/Launcher_Pod_Platform'
	// note comma at the end of each line except for the last line
);

// make an array of weapon categories
// left value is the name as it will appear on the stats page
$cat_array = array(
	'Assault'		=>	'assaultrifle',
	'Carbine'		=>	'carbine',
	'DMR'			=>	'dmr',
	'LMG'			=>	'lmg',
	'Shotgun'		=>	'shotgun',
	'SMG'			=>	'smg',
	'Sniper'		=>	'sniperrifle',
	'Handgun'		=>	'handgun',
	'Projectile'	=>	'projectileexplosive',
	'Explosive'		=>	'explosive',
	'Impact'		=>	'impact',
	'Melee'			=>	'melee',
	'No Class'		=>	'none',
	// VehicleCustom is my own array of vehicles which is filtered out separately in 'StatsOut' function
	'Vehicle'		=> 	'VehicleCustom'
	// note comma at the end of each line except for the last line
);

// set min and max ranks available
// this will determine whether the image is available in /images/ranks (so if a player's rank is higher than an available image, it doesn't try to load an unavailable image)
$rank_min = 1;
$rank_max =	140;

// make an array of squad names
// this is just the phonetic alphabet
$squad_array = array(
	'None'						=>	'0',
	'Alpha'						=>	'1',
	'Bravo'						=>	'2',
	'Charlie'					=>	'3',
	'Delta'						=>	'4',
	'Echo'						=>	'5',
	'Foxtrot'					=>	'6',
	'Golf'						=>	'7',
	'Hotel'						=>	'8',
	'India'						=>	'9',
	'Juliet'					=>	'10',
	'Kilo'						=>	'11',
	'Lima'						=>	'12',
	'Mike'						=>	'13',
	'November'					=>	'14',
	'Oscar'						=>	'15',
	'Papa'						=>	'16',
	'Quebec'					=>	'17',
	'Romeo'						=>	'18',
	'Sierra'					=>	'19',
	'Tango'						=>	'20',
	'Uniform'					=>	'21',
	'Victor'					=>	'22',
	'Whiskey'					=>	'23',
	'X-Ray'						=>	'24',
	'Yankee'					=>	'25',
	'Zulu'						=>	'26'
	// note comma at the end of each line except for the last line
);

// make an array of country names
// I am not going to separate these into separate lines since these shouldn't change and don't need to be legible
// this is just a (long!) list of country codes
// this took a long time to type out!
$country_array = array(
	'Null'=>'','Unknown'=>'--','Afghanistan'=>'AF','Albania'=>'AL','Algeria'=>'DZ','American Samoa'=>'AS','Andorra'=>'AD','Angola'=>'AO','Anguilla'=>'AI','Antarctica'=>'AQ','Antigua'=>'AG','Argentina'=>'AR','Armenia'=>'AM',
	'Aruba'=>'AW','Australia'=>'AU','Austria'=>'AT','Azerbaijan'=>'AZ','Bahamas'=>'BS','Bahrain'=>'BH','Bangladesh'=>'BD','Barbados'=>'BB','Belarus'=>'BY','Belgium'=>'BE','Belize'=>'BZ','Benin'=>'BJ','Bermuda'=>'BM',
	'Bhutan'=>'BT','Bolivia'=>'BO','Bosnia'=>'BA','Botswana'=>'BW','Bouvet Island'=>'BV','Brazil'=>'BR','Indian Ocean'=>'IO','Brunei Darussalum'=>'BN','Bulgaria'=>'BG','Burkina Faso'=>'BF','Burundi'=>'BI','Cambodia'=>'KH',
	'Cameroon'=>'CM','Canada'=>'CA','Cape Verde'=>'CV','Cayman Islands'=>'KY','Central Africa'=>'CF','Chad'=>'TD','Chile'=>'CL','China'=>'CN','Christmas Island'=>'CX','Cocos Islands'=>'CC','Columbia'=>'CO','Comoros'=>'KM',
	'Congo'=>'CG','Republic of Congo'=>'CD','Cook Islands'=>'CK','Costa Rica'=>'CR','Ivory Coast'=>'CI','Croatia'=>'HR','Cuba'=>'CU','Cyprus'=>'CY','Czech Repuplic'=>'CZ','Denmark'=>'DK','Djibouti'=>'DJ','Dominica'=>'DM',
	'Dominican Republic'=>'DO','East Timor'=>'TP','Ecuador'=>'EC','Egypt'=>'EG','El Salvador'=>'SV','Equatorial Guinea'=>'GQ','Eritrea'=>'ER','Estonia'=>'EE','Ethiopia'=>'ET','Falkland Islands'=>'FK','Faroe Islands'=>'FO',
	'Fiji'=>'FJ','Finland'=>'FI','France'=>'FR','Metropolitan France'=>'FX','French Guiana'=>'GF','French Polynesia'=>'PF','French Territories'=>'TF','Gabon'=>'GA','Gambia'=>'GM','Georgia'=>'GE','Germany'=>'DE','Ghana'=>'GH',
	'Gibraltar'=>'GI','Greece'=>'GR','Greenland'=>'GL','Grenada'=>'GD','Guadeloupe'=>'GP','Guam'=>'GU','Guatemala'=>'GT','Guernsey'=>'GG','Guinea'=>'GN','Guinea-Bissau'=>'GW','Guyana'=>'GY','Haiti'=>'HT','McDonald Islands'=>'HM',
	'Vatican City'=>'VA','Honduras'=>'HN','Hong Kong'=>'HK','Hungary'=>'HU','Iceland'=>'IS','India'=>'IN','Indonesia'=>'ID','Iran'=>'IR','Iraq'=>'IQ','Ireland'=>'IE','Israel'=>'IL','Italy'=>'IT','Jamaica'=>'JM','Japan'=>'JP',
	'Jordan'=>'JO','Kazakstan'=>'KZ','Kenya'=>'KE','Kiribati'=>'KI','North Korea'=>'KP','South Korea'=>'KR','Kuwait'=>'KW','Kyrgyzstan'=>'KG','Lao'=>'LA','Latvia'=>'LV','Lebanon'=>'LB','Lesotho'=>'LS','Liberia'=>'LR',
	'Libya'=>'LY','Liechtenstein'=>'LI','Lithuania'=>'LT','Luxembourg'=>'LU','Macau'=>'MO','Macedonia'=>'MK','Madagascar'=>'MG','Malawi'=>'MW','Malaysia'=>'MY','Maldives'=>'MV','Mali'=>'ML','Malta'=>'MT','Marshall Islands'=>'MH',
	'Martinique'=>'MQ','Mauritania'=>'MR','Mauritius'=>'MU','Mayotte'=>'YT','Mexico'=>'MX','Micronesia'=>'FM','Moldova'=>'MD','Monaco'=>'MC','Mongolia'=>'MN','Montenegro'=>'ME','Montserrat'=>'MS','Morocco'=>'MA','Mozambique'=>'MZ','Myanmar'=>'MM',
	'Namibia'=>'NA','Nauru'=>'NR','Nepal'=>'NP','Netherlands'=>'NL','Netherlands Antilles'=>'AN','New Caledonia'=>'NC','New Zealand'=>'NZ','Nicaragua'=>'NI','Niger'=>'NE','Nigeria'=>'NG','Niue'=>'NU','Norfolk Island'=>'NF',
	'Mariana Islands'=>'MP','Norway'=>'NO','Oman'=>'OM','Pakistan'=>'PK','Palau'=>'PW','Palestine'=>'PS','Panama'=>'PA','Papua New Guinea'=>'PG','Paraguay'=>'PY','Peru'=>'PE','Philippines'=>'PH','Pitcairn'=>'PN','Poland'=>'PL',
	'Portugal'=>'PT','Puerto Rico'=>'PR','Qatar'=>'QA','Reunion'=>'RE','Romania'=>'RO','Russia'=>'RU','Rwanda'=>'RW','Saint Helena'=>'SH','Saint Kitts'=>'KN','Saint Lucia'=>'LC','Saint Pierre'=>'PM','Saint Vincent'=>'VC',
	'Samoa'=>'WS','San Marino'=>'SM','Sao Tome'=>'ST','Saudi Arabia'=>'SA','Senegal'=>'SN','Serbia'=>'RS','Seychelles'=>'SC','Sierra Leone'=>'SL','Singapore'=>'SG','Slovakia'=>'SK','Slovenia'=>'SI','Solomon Islands'=>'SB','Somalia'=>'SO',
	'South Africa'=>'ZA','Sandwich Islands'=>'GS','Spain'=>'ES','Sri Lanka'=>'LK','Sudan'=>'SD','Suriname'=>'SR','Svalbard'=>'SJ','Swaziland'=>'SZ','Sweden'=>'SE','Switzerland'=>'CH','Syria'=>'SY','Taiwan'=>'TW',
	'Tajikistan'=>'TJ','Tanzania'=>'TZ','Thailand'=>'TH','Togo'=>'TG','Tokelau'=>'TK','Tonga'=>'TO','Trinidad'=>'TT','Tunisia'=>'TN','Turkey'=>'TR','Turkmenistan'=>'TM','Turks Islands'=>'TC','Tuvalu'=>'TV','Uganda'=>'UG',
	'Ukraine'=>'UA','United Arab Emirates'=>'AE','United Kingdom'=>'GB','United States'=>'US','US Minor Outlying Islands'=>'UM','Uruguay'=>'UY','Uzbekistan'=>'UZ','Vanuatu'=>'VU','Venezuela'=>'VE','Vietnam'=>'VN',
	'Virgin Islands (British)'=>'VG','Virgin Islands (US)'=>'VI','Wallis and Futuna'=>'WF','Western Sahara'=>'EH','Yemen'=>'YE','Yugoslavia'=>'YU','Zambia'=>'ZM','Zimbabwe'=>'ZW'
);
?>